Comment 1 for bug 1247861

This is because of the following dependency:

a)
Package: percona-server-client-5.5
Architecture: any
Depends: debianutils (>=1.6), libdbi-perl, percona-server-common-5.5 (>= ${source:Version}), libmysqlclient18 (>= ${source:Version}), ${shlib:Depends}, ${misc:Depends}

b)
Package: percona-xtradb-cluster-client-5.5
Architecture: any
Depends: debianutils (>=1.6), libdbi-perl, percona-xtradb-cluster-common-5.5 (>= ${source:Version}), libmysqlclient18 (>= ${source:Version}), ${shlib:Depends}, ${misc:Depends}

and libmysqlclient18 which was pushed during the recent PXC
release clobbered the libmysqlclient18 present from PS.

Since, libmysqlclient18 is essentially the same for both, the
version dependency of it can be removed as following:

=== modified file 'build/debian/control'
--- build/debian/control 2013-10-08 21:55:32 +0000
+++ build/debian/control 2013-11-04 14:42:26 +0000
@@ -24,7 +24,7 @@
 Package: libmysqlclient18-dev
 Architecture: any
 Section: libdevel
-Depends: libmysqlclient18 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
+Depends: libmysqlclient18, zlib1g-dev, ${misc:Depends}
 Conflicts: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev
 Replaces: libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev, libpercona-xtradb-client-dev
 Provides: libmysqlclient-dev
@@ -54,7 +54,7 @@

 Package: percona-server-client-5.5
 Architecture: any
-Depends: debianutils (>=1.6), libdbi-perl, percona-server-common-5.5 (>= ${source:Version}), libmysqlclient18 (>= ${source:Version}), ${shlib:Depends}, ${misc:Depends}
+Depends: debianutils (>=1.6), libdbi-perl, percona-server-common-5.5 (>= ${source:Version}), libmysqlclient18, ${shlib:Depends}, ${misc:Depends}
 Provides: mysql-client, mysql-client-core, mysql-client-5.5, mysql-client-core-5.5, virtual-mysql-client
 Conflicts: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1
 Replaces: mysql-client (<< ${source:Version}), mysql-client-5.0, mysql-client-5.1, mysql-client-core-5.1, mysql-client-5.5, mysql-client-core-5.5, percona-xtradb-client-5.0, percona-server-client-5.1